Não consigo instalar build-essential [RESOLVIDO]

1. Não consigo instalar build-essential [RESOLVIDO]

Carlos Henrique Ramos
ramos1986

(usa Debian)

Enviado em 16/02/2012 - 21:52h

Boa noite a todos.

Não estou conseguindo instalar o build-essential, ao digitar o comando apt-get install build-essential, me aparece o erro abixo:

Os pacotes a seguir temm dependencias desencontradas:
build-essential : Depende: libc6-dev mas não será¡ instalado ou
libc-dev
Depende: g++ (>= 4:4.4.3) mas não será instalado
E: Pacotes quebrados

Tentei utilizar o comando apt-get -f install para instalar as dependencias mais não instala.

Utilizo o Debian Lenny.

Alguém já passou por isso? Desde já agradeço a ajuda.



  


2. Re: Não consigo instalar build-essential [RESOLVIDO]

Daniel Lara Souza
danniel-lara

(usa Fedora)

Enviado em 16/02/2012 - 21:55h

o seu source.list esta ok ?
pois pode ser o source.list

e ja dentou instalar o
libc6-dev


3. Re: Não consigo instalar build-essential [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 16/02/2012 - 21:59h

# apt-get update
# apt-get install build-essential

se não funcionar posta seu sources.list:

# cat /etc/apt/sources.list


4. Re: Não consigo instalar build-essential [RESOLVIDO]

Carlos Henrique Ramos
ramos1986

(usa Debian)

Enviado em 17/02/2012 - 08:18h

Segue meu source.list

deb http://ftp.debian.org/debian/ lenny main
deb-src http://ftp.debian.org/debian/ lenny main
deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main
deb http://volatile.debian.org/debian-volatile lenny/volatile main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main

Tentei instalar o libc6-dev porém, apresenta erro de dependencia também.

Obrigado a todos.


5. Re: Não consigo instalar build-essential [RESOLVIDO]

Carlos Henrique Ramos
ramos1986

(usa Debian)

Enviado em 17/02/2012 - 08:19h

Meu Debian está com a versão estável.


6. Re: Não consigo instalar build-essential [RESOLVIDO]

Ricardo Libanio
riesdra

(usa Debian)

Enviado em 17/02/2012 - 09:00h

ramos1986 escreveu:

Meu Debian está com a versão estável.


seu debian é old-stable, e não stable.

recomendo a usar a versão stable que já tem um ano que foi lançada, e pelo que ando vendo tem mais gente tendo problemas em seu sistema com old-stable, ao tentar fazer atualizações ou instalações.

lenny não mais receberá atualizações de segurança pois se passou o prazo de 1 ano como old-stable.

http://www.debian.org/News/2012/20120209




7. Re: Não consigo instalar build-essential [RESOLVIDO]

Carlos Henrique Ramos
ramos1986

(usa Debian)

Enviado em 17/02/2012 - 09:53h

riesdra

Onde você viu que utilizo a versão old-stable?


8. Não consigo instalar build-essential

Edwal F. Paiva Filho
nicolo

(usa Ubuntu)

Enviado em 21/02/2012 - 11:55h

Onde se ve isso? O Lenny é OLD-STABLE, o stable é o squeeze e não o lenny.

Essa mistura de repositórios é difícil de consertar, precisa reinstalar as versões antigas do old stable senão a árvore de dependências não se refaz.

Ou então atualizar tudo para o squeeze de uma vez só, senão nem boot vai dar mais.


9. Re: Não consigo instalar build-essential [RESOLVIDO]

Carlos Henrique Ramos
ramos1986

(usa Debian)

Enviado em 22/02/2012 - 12:12h

Consegui resolver o problema, agradeço a todos, baixe os pacotes e instalei manualmente, não precisei atualizar a distro.


10. Mesmo problema

Carlos E G Araujo
cegaraujo

(usa Debian)

Enviado em 22/05/2012 - 16:38h

Estou com o mesmo problema no debian squeeze. Quais os pacotes que você baixou e como vc atualizou manualmente? Desculpe, sou meio novato e estou precisando rodar os meus programas em C.


11. Re: Não consigo instalar build-essential [RESOLVIDO]

Joallison Avelino
Joallison

(usa Outra)

Enviado em 19/10/2016 - 10:55h

Estava com o mesmo problema na hora de instalar o build-essential pedia um monte de dependência.
Resolvi instalando através do aptitude install build-essential ai ele baixou tudo que era necessário e instalou.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts